Bug 181537 - Wrong baud rates from lava octopus 550 pci serial card
Wrong baud rates from lava octopus 550 pci serial card
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-14 16:07 EST by Guy Jennings
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-17 12:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Guy Jennings 2006-02-14 16:07:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/417.9 (KHTML, like Gecko) Safari/417.8

Description of problem:
Serial ports on a lava octopus 550 pci serial card run at a quarter of the requested baud rate.  This 
appears to be caused by a wrong value for the baud rate clock frequency in the serial driver code.  
Looking in http://www.lavalink.com/index.php?id=762 the octopus 550 is an 8 port 16550-based
device, with a 115.2k baud rate clock, but the driver initialisation in 8250_pci.c, around line 1870, has
it initialized as two pbn_b0_bt_4_460800, rather than two pbn_b0_bt_4_115200.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Foreach serial port
2.Connect an oscilloscope to the serial port
3.Use e.g. minicom to set the port baud rate to 9600, 8N1
4.Measure the time duration of a single character

Actual Results:  On the regular serial ports each character is about 1 microsecond,
on the lava octopus port each character is about 4 microseconds.

Additional info:

One can work around this problem relatively easily by simply choosing a higher baud rate than you want, 
but it would be nice to get it fixed.
Comment 1 Guy Jennings 2006-02-15 14:03:17 EST
The times given above should be in milliseconds, not microseconds!
Comment 2 Dave Jones 2006-09-16 22:46:18 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 17:46:16 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.